Skip to content

Request temporary access role ​

POST
/v1/clients/authorisations/role/request

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Request Body​

application/json
JSON
{
  
"requested_role": "string",
  
"expires_at": "2026-07-10T14:00:00",
  
"reason": "Need temporary access for a distributor support issue"
}

Responses​

Created

application/json
JSON
{
  
"role_access_request_id": "19941a73d2b5498caf6894d62bb6c3a4_rar",
  
"client_id": "19941a73d2b5498caf6894d62bb6c3a4_cln",
  
"updated_by": "19941a73d2b5498caf6894d62bb6c3a4_cln",
  
"requested_role": "admin",
  
"status": "approved",
  
"reason": "Need temporary access for a distributor support issue",
  
"requested_at": "2026-06-01T13:00:00",
  
"approved_at": "2026-06-01T13:00:01",
  
"expires_at": "2026-06-01T14:00:01",
  
"revoked_at": null
}

Playground​

Server
Authorization
Body

Samples​